# Visualization
TKService
WNT

# WNT_PixMap Class Reference

This class defines a windows bitmap
.

`#include <WNT_PixMap.hxx>`

Inheritance diagram for WNT_PixMap:

[legend]

## Public Member Functions

Standard_EXPORT | WNT_PixMap (const Handle(Aspect_Window)&aWindow, const Standard_Integer aWidth, const Standard_Integer anHeight, const Standard_Integer aCDepth=0)
| Warning! When <adepth> is NULL , the pixmap is created with the SAME depth than the window <awindow> .
virtual Standard_EXPORT void | Destroy ()
| Destroies the Bitmap .
| ~WNT_PixMap ()
virtual Standard_EXPORT Standard_Boolean | Dump (const Standard_CString aFilename, const Standard_Real aGammaValue=1.0) const
| Dumps the Bitmap to an XWD,GIF or BMP file with an optional gamma correction value according to the graphic system and returns TRUE if the dump occurs normaly. Category: Methods to modify the class definition Trigger: Raises if Bitmap is not defined properly .
virtual Standard_EXPORT Aspect_Handle | PixmapID () const
| Returns the ID of the just created bitmap .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Aspect_Handle | myDC
Aspect_Handle | myBitmap

## Private Member Functions

Standard_EXPORT Standard_Integer | PreferedDepth (const Handle(Aspect_Window)&aWindow, const Standard_Integer aDepth) const

## Private Attributes

Handle_Aspect_Window | myWND

## Constructor & Destructor Documentation

Standard_EXPORT WNT_PixMap::WNT_PixMap | ( | const Handle(Aspect_Window)& | aWindow,
|  | const Standard_Integer | aWidth,
|  | const Standard_Integer | anHeight,
|  | const Standard_Integer | aCDepth = `0`
| ) |

WNT_PixMap::~WNT_PixMap | ( |  | ) | `[inline]`

## Member Function Documentation

virtual Standard_EXPORT void WNT_PixMap::Destroy | ( |  | ) | `[virtual]`

| Implements Aspect_PixMap.

virtual Standard_EXPORT Standard_Boolean WNT_PixMap::Dump | ( | const Standard_CString | aFilename,
|  | const Standard_Real | aGammaValue = `1.0`
| ) | const`[virtual]`

| Implements Aspect_PixMap.

Standard_EXPORT const WNT_PixMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_PixMap.

virtual Standard_EXPORT Aspect_Handle WNT_PixMap::PixmapID | ( |  | ) | const`[virtual]`

| Implements Aspect_PixMap.

Standard_EXPORT Standard_Integer WNT_PixMap::PreferedDepth | ( | const Handle(Aspect_Window)& | aWindow,
|  | const Standard_Integer | aDepth
| ) | const`[private]`

## Field Documentation

Aspect_Handle WNT_PixMap::myBitmap `[protected]`

Aspect_Handle WNT_PixMap::myDC `[protected]`

Handle_Aspect_Window WNT_PixMap::myWND `[private]`

The documentation for this class was generated from the following file:

- WNT_PixMap.hxx